| Home | Libraries | People | FAQ | More

##### windows::basic_stream_handle::basic_stream_handle (1 of 2 overloads)

Construct a `windows::basic_stream_handle` without opening it.

    basic_stream_handle(
        boost::asio::io_service & io_service);

This constructor creates a stream handle without opening it. The handle needs to be opened and then connected or accepted before data can be sent or received on it.

###### Parameters

io_service

  The `io_service` object that the stream handle will use to dispatch handlers for any asynchronous operations performed on the handle.